Summary:	IMAP client library and development files.
Name:		imap
Version:	2007f
Release:	8
Epoch:		1
License:	Apache v2.0
Group:		Networking/Daemons
Source0:	http://ftp.funet.fi/index/unix/mail/imap/ftp.cac.washington.edu/mail/%{name}-%{version}.tar.gz
# Source0-md5:	2126fd125ea26b73b20f01fcd5940369
Patch0:		%{name}.patch
Patch1:		%{name}-pop2d-mbox-param.patch
Patch2:		%{name}-sharedlib.patch
Patch3:		%{name}-sstupidity.patch
Patch4:		%{name}-mailpath.patch
Patch5:		%{name}-man.patch
Patch6:		%{name}-overflow.patch
Patch7:		%{name}-version-pld.patch
Patch8:		%{name}-headers_fix.patch
Patch9:		%{name}-annotations.patch
Patch10:	%{name}-werror.patch
Patch11:	no-ustat.h.patch
Patch12:	openssl.patch
URL:		http://www.washington.edu/imap/
BuildRequires:	/sbin/ldconfig
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/imap

%define		skip_post_check_so	libc-client.so.%{version}.0

%description
IMAP client library and development files.

%package devel
Summary:	Development files for IMAP
Summary(pl.UTF-8):	Pliki nagłówkowe IMAP
Summary(pt_BR.UTF-8):	Bibliotecas, arquivos de inclusão, etc para desenvolver programas IMAP
Summary(ru.UTF-8):	Хедера для разработки программ с использованием библиотеки IMAP
Summary(uk.UTF-8):	Хедери для розробки програм з використанням бібліотекі IMAP
Summary(zh_CN.UTF-8):	IMAP和POP服务器开发工具集
Group:		Development/Libraries
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}

%description devel
Development files for IMAP.

%description devel -l cs.UTF-8
Balíček imap-devel obsahuje hlavičkové soubory pro vývoj programů,
které používají knihovnu IMAP (Internet Message Access Protocol).

%description devel -l pl.UTF-8
Pliki nagłówkowe dla IMAP.

%description devel -l pt_BR.UTF-8
Bibliotecas, arquivos de inclusão, etc para desenvolver programas que
utilizem POP/IMAP.

%description devel -l ru.UTF-8
Хедера для разработки программ с использованием библиотеки IMAP.

%description devel -l uk.UTF-8
Хедери для розробки програм з використанням бібліотекі IMAP.

%package lib
Summary:	IMAP client library
Summary(pl.UTF-8):	Biblioteka IMAP
Summary(ru.UTF-8):	Библиотека IMAP
Summary(uk.UTF-8):	Бібліотека IMAP
Group:		Libraries

%description lib
IMAP client library.

%description lib -l pl.UTF-8
Biblioteka IMAP.

%description lib -l ru.UTF-8
Разделяемая библиотека для POP/IMAP-программ.

%description lib -l uk.UTF-8
Бібліотека спільного використання для POP/IMAP-програм.

%package static
Summary:	IMAP static library
Summary(pl.UTF-8):	Statyczna biblioteka IMAP
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolver programas IMAP
Summary(ru.UTF-8):	Статическая библиотека IMAP
Summary(uk.UTF-8):	Статична бібліотека IMAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
IMAP static library.

%description static -l cs.UTF-8
Balíček imap-static obsahuje statické knihovny pro vývoj programů,
které používají knihovnu IMAP.

%description static -l pl.UTF-8
Statyczna biblioteka IMAP.

%description static -l ru.UTF-8
Статическая библиотека, необходимая для разработки POP/IMAP-программ.

%description static -l uk.UTF-8
Статична бібліотека, необхідна для розробки POP/IMAP-програм.

%package utils
Summary:	IMAP tools: mailutil, dmail, tmail
Summary(pl.UTF-8):	Narzędzia IMAP: mailutil, dmail, tmail
Group:		Applications/Mail
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}

%description utils
IMAP tools: mailutil (mail utility program), dmail (procmail mail
delivery module), tmail (direct mail delivery module).

%description utils -l pl.UTF-8
Narzędzia IMAP: mailutil (program narzędziowy do poczty), dmail (moduł
dostarczający pocztę dla procmaila), tmail (moduł dostarczający pocztę
bezpośrednio).

%description utils -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolver programas que utilizem
POP/IMAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

cd docs/rfc
ls rfc* > ../INDEX.rfc
cd ../..
rm -rf docs/{rfc,BUILD}

%build
%{__make} lnp \
	CC="%{__cc}" \
	GCCOPTLEVEL="%{rpmcflags} -pipe -fPIC" \
	LDOPT="%{rpmldflags}" \
	SSLCERTS=/etc/openssl/certs \
	SSLKEYS=/etc/openssl/private \
	VERSION="%{version}"
mv -f c-client/c-client.a libc-client.a
%{__make} clean
%{__make} lnps \
	CC="%{__cc}" \
	GCCOPTLEVEL="%{rpmcflags} -pipe -fPIC" \
	LDOPT="%{rpmldflags}" \
	SSLCERTS=/etc/openssl/certs \
	SSLKEYS=/etc/openssl/private \
	VERSION="%{version}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_includedir},%{_libdir}} \
	$RPM_BUILD_ROOT%{_mandir}/man{1,8}

install src/dmail/dmail.1 $RPM_BUILD_ROOT%{_mandir}/man1
install src/mailutil/mailutil.1 $RPM_BUILD_ROOT%{_mandir}/man1
install src/tmail/tmail.1 $RPM_BUILD_ROOT%{_mandir}/man1

install c-client/*.h $RPM_BUILD_ROOT%{_includedir}
install c-client/linkage.c $RPM_BUILD_ROOT%{_includedir}
install libc-client.a $RPM_BUILD_ROOT%{_libdir}/libc-client.a
install c-client/libc-client.so $RPM_BUILD_ROOT%{_libdir}/libc-client.so.%{version}.0
ln -sf libc-client.so.%{version}.0 $RPM_BUILD_ROOT%{_libdir}/libc-client.so

rm -f	$RPM_BUILD_ROOT%{_includedir}/unix.h \
	$RPM_BUILD_ROOT%{_includedir}/os_*

install dmail/dmail $RPM_BUILD_ROOT%{_bindir}
install mailutil/mailutil $RPM_BUILD_ROOT%{_bindir}
install tmail/tmail $RPM_BUILD_ROOT%{_bindir}

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libc-client.so.*.*
%ghost %{_libdir}/libc-client.so.2007f

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libc-client.so
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/libc-client.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Mon Mar 04 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/imap.git;a=log;h=master

* Mon Mar 04 2019 Marcin Krol <hawk@tld-linux.org> 0759368
- we don't want plain text passwords w/o SSL, switch to default SSL build

* Mon Mar 04 2019 Marcin Krol <hawk@tld-linux.org> bd3605a
- remove heavily outdated daemons for imap and pop, provide just lib
  and devel files

* Mon Mar 04 2019 Marcin Krol <hawk@tld-linux.org> 6c16062
- switch source to remaining mirror (master site no longer exists)

* Mon Mar 04 2019 Marcin Krol <hawk@tld-linux.org> 8312a8a
- fix paths for current TLD

* Mon Mar 04 2019 Marcin Krol <hawk@tld-linux.org> aa40ca5
- from PLD

